--- ./scintilla/Editor.cxx.orig	2010-06-19 20:18:43.000000000 +0300
+++ ./scintilla/Editor.cxx	2010-11-21 15:58:17.000000000 +0200
@@ -704,7 +704,7 @@
 			if (line == lineAnchor)
 				sel.SetSelection(range);
 			else
-				sel.AddSelection(range);
+				sel.AddSelectionWithoutTrim(range);
 		}
 	}
 }
--- ./scintilla/Selection.cxx.orig	2010-06-19 20:18:43.000000000 +0300
+++ ./scintilla/Selection.cxx	2010-11-21 15:58:17.000000000 +0200
@@ -291,6 +291,11 @@
 	mainRange = ranges.size() - 1;
 }
 
+void Selection::AddSelectionWithoutTrim(SelectionRange range) {
+	ranges.push_back(range);
+	mainRange = ranges.size() - 1;
+}
+
 void Selection::TentativeSelection(SelectionRange range) {
 	if (!tentativeMain) {
 		rangesSaved = ranges;
--- ./scintilla/Selection.h.orig	2010-06-19 20:18:43.000000000 +0300
+++ ./scintilla/Selection.h	2010-11-21 15:58:17.000000000 +0200
@@ -166,6 +166,7 @@
 	void TrimSelection(SelectionRange range);
 	void SetSelection(SelectionRange range);
 	void AddSelection(SelectionRange range);
+	void AddSelectionWithoutTrim(SelectionRange range);
 	void TentativeSelection(SelectionRange range);
 	void CommitTentative();
 	int CharacterInSelection(int posCharacter) const;
